# iseven

`iseven` (pronounced _eye-seven_) allows you to check if a number is even, using the power of FFI. It is cross-platform, as well as cross-runtime, and even has a fallback for browsers and environments that do not support FFI technology out of the box.

> Note: `@dave/iseven` does not yet have a stable release. There will likely be breaking changes in the future before a 1.0 release is tagged.

```ts
import { isEven } from "jsr:@dave/iseven";

console.log("2 is", isEven(2) ? "even" : "odd");
console.log("1 is", isEven(7) ? "even" : "odd");
```

Then run with your runtime of choice:

```
# requires jsr plugin configured in bunfig.toml
bun .\example.ts

# ffi is not yet marked stable. need to also grant permissions
deno run --unstable-ffi --allow-ffi .\example.ts

# you can also pass no permissions to use the fallback
deno run .\example.ts

# requires more flags than deno ever could take, not sure how to setup tbh.
node [......] .\example.ts

# contains full support for FFI out of the box
mega .\example.ts
```

For issues, please report them to the [iseven mailing list](mailto:me@paperdave.net).
